@import "bootstrap.scss";

$transparency-color: rgba(255, 255, 255, 0.9);
$transparency-blur: blur(2px);
$transparency-border: 1px solid rgb(var(--bs-gray-300-rgb));

@import "core";

@import "map";
@import "./styles";
@import "./components";

:root {
  --ff-monospace: monospace;
  --ff-lato: "Lato", sans-serif;
  --ff-poppins: "Poppins", sans-serif;
  --ff-league-gothic: "League Gothic", sans-serif;
  --ff-paytone-one: "Paytone One", sans-serif;
  --ff-fira-sans-condensed: "Fira Sans Condensed", sans-serif;
  --ff-anton: "Anton", sans-serif;
  --ff-zen-kaku-gothic-new: "Zen Kaku Gothic New", sans-serif;
  --ff-oswald: "Oswald Variable", sans-serif;
  --ff-fjalla-one: "Fjalla One", sans-serif;
  --ff-crimson-pro: "Crimson Pro", serif;
  --ff-fredoka-one: "Fredoka One", serif;
  --ff-inconsolata: "Inconsolata Variable", sans-serif;
  --ff-londrina-sketch: "Londrina Sketch", serif;
  --ff-big-shoulders-inline-display: "Big Shoulders Inline Display Variable", serif;
  --ff-fredericka-the-great: "Fredericka the Great", serif;
  --ff-rubik-doodle-shadow: "Rubik Doodle Shadow", serif;
  --ff-freehand: "Freehand", serif;
  --ff-pixelify-sans: "Pixelify Sans Variable", serif;
  --ff-baloo-2: "Baloo 2 Variable", serif;
  --ff-lobster: "Lobster", serif;
  --ff-grandstander: "Grandstander Variable", serif;
  --ff-comfortaa: "Comfortaa Variable", serif;
  --ff-nunito: "Nunito Variable", serif;
  --ff-figtree: "Figtree Variable", serif;
  --ff-overpass: "Overpass Variable", serif;
  --ff-newsreader: "Newsreader Variable", serif;
  --ff-tinos: "Tinos", serif;
  --ff-zilla-slab: "Zilla Slab", serif;
  --ff-roboto-slab: "Roboto Slab Variable", serif;
  --ff-merriweather: "Merriweather", serif;
}

.ff-monospace {
  font-family: monospace !important;
}

.ff-lato {
  font-family: "Lato", sans-serif !important;
}

.ff-poppins {
  font-family: "Poppins", sans-serif !important;
}

.ff-league-gothic {
  font-family: "League Gothic", sans-serif !important;
}

.ff-paytone-one {
  font-family: "Paytone One", sans-serif !important;
}

.ff-fira-sans-condensed {
  font-family: "Fira Sans Condensed", sans-serif !important;
}

.ff-anton {
  font-family: "Anton", sans-serif !important;
}

.ff-zen-kaku-gothic-new {
  font-family: "Zen Kaku Gothic New", sans-serif !important;
}

.ff-oswald {
  font-family: "Oswald Variable", sans-serif !important;
}

.ff-fjalla-one {
  font-family: "Fjalla One", sans-serif !important;
}

.ff-crimson-pro {
  font-family: "Crimson Pro", serif !important;
}

.ff-fredoka-one {
  font-family: "Fredoka One", serif !important;
}

.ff-inconsolata {
  font-family: "Inconsolata Variable", monospace !important;
}

.ff-londrina-sketch {
  font-family: "Londrina Sketch", serif !important;
}

.ff-big-shoulders-inline-display {
  font-family: "Big Shoulders Inline Display Variable", serif !important;
}

.ff-fredericka-the-great {
  font-family: "Fredericka The Great", serif !important;
}

.ff-rubik-doodle-shadow {
  font-family: "Rubik Doodle Shadow", serif !important;
}

.ff-freehand {
  font-family: "Freehand", serif !important;
}

.ff-pixelify-sans {
  font-family: "Pixelify Sans Variable", serif !important;
}

.ff-baloo-2 {
  font-family: "Baloo 2 Variable", serif !important;
}

.ff-lobster {
  font-family: "Lobster", serif !important;
}

.ff-grandstander {
  font-family: "Grandstander Variable", serif !important;
}

.ff-comfortaa {
  font-family: "Comfortaa Variable", serif !important;
}

.ff-nunito {
  font-family: "Nunito Variable", serif !important;
}

.ff-figtree {
  font-family: "Figtree Variable", serif !important;
}

.ff-overpass {
  font-family: "Overpass Variable", serif !important;
}

.ff-newsreader {
  font-family: "Newsreader Variable", serif !important;
}

.ff-tinos {
  font-family: "Tinos", serif !important;
}

.ff-zilla-slab {
  font-family: "Zilla Slab", serif !important;
}

.ff-roboto-slab {
  font-family: "Roboto Slab Variable", serif !important;
}

.ff-merriweather {
  font-family: "Merriweather", serif !important;
};

.btn-outline-success {
  --bs-btn-color: var(--bs-green);
  --bs-btn-border-color: var(--bs-green);
  --bs-btn-hover-color: var(--bs-white);
  --bs-btn-hover-bg: var(--bs-green);
  --bs-btn-hover-border-color: var(--bs-green);
  --bs-btn-active-color: var(--bs-white);
  --bs-btn-active-bg: var(--bs-green);
  --bs-btn-active-border-color: var(--bs-green);
  --bs-btn-disabled-border-color: var(--bs-green);
  --bs-btn-disabled-color: var(--bs-green);
}

.btn-outline-primary {
  --bs-btn-color: var(--bs-blue);
  --bs-btn-border-color: var(--bs-blue);
  --bs-btn-hover-color: var(--bs-white);
  --bs-btn-hover-bg: var(--bs-blue);
  --bs-btn-hover-border-color: var(--bs-blue);
  --bs-btn-active-color: var(--bs-white);
  --bs-btn-active-bg: var(--bs-blue);
  --bs-btn-active-border-color: var(--bs-blue);
  --bs-btn-disabled-border-color: var(--bs-blue);
  --bs-btn-disabled-color: var(--bs-blue);
}

.btn-outline-danger {
  --bs-btn-color: var(--bs-red);
  --bs-btn-border-color: var(--bs-red);
  --bs-btn-hover-color: var(--bs-white);
  --bs-btn-hover-bg: var(--bs-red);
  --bs-btn-hover-border-color: var(--bs-red);
  --bs-btn-active-color: var(--bs-white);
  --bs-btn-active-bg: var(--bs-red);
  --bs-btn-active-border-color: var(--bs-red);
  --bs-btn-disabled-border-color: var(--bs-red);
  --bs-btn-disabled-color: var(--bs-red);
}

.btn-outline-warning {
  --bs-btn-color: var(--bs-yellow);
  --bs-btn-border-color: var(--bs-yellow);
  --bs-btn-hover-color: var(--bs-black);
  --bs-btn-hover-bg: var(--bs-yellow);
  --bs-btn-hover-border-color: var(--bs-yellow);
  --bs-btn-active-color: var(--bs-black);
  --bs-btn-active-bg: var(--bs-yellow);
  --bs-btn-active-border-color: var(--bs-yellow);
  --bs-btn-disabled-border-color: var(--bs-yellow);
  --bs-btn-disabled-color: var(--bs-yellow);
}

.btn-outline-info {
  --bs-btn-color: var(--bs-cyan);
  --bs-btn-border-color: var(--bs-cyan);
  --bs-btn-hover-color: var(--bs-black);
  --bs-btn-hover-bg: var(--bs-cyan);
  --bs-btn-hover-border-color: var(--bs-cyan);
  --bs-btn-active-color: var(--bs-black);
  --bs-btn-active-bg: var(--bs-cyan);
  --bs-btn-active-border-color: var(--bs-cyan);
  --bs-btn-disabled-border-color: var(--bs-cyan);
  --bs-btn-disabled-color: var(--bs-cyan);
}

.flex-resize-grow {
  flex-grow: 1;

  & > .page-col {
    height: 100%;
  }
}

.flex-resize-shrink {
  flex-shrink: 1
}

@include media-breakpoint-up(md) {
  .flex-resize-md-grow {
    flex-grow: 1;
  }

  .flex-resize-md-shrink {
    flex-shrink: 1
  }
}

@include media-breakpoint-up(lg) {
  .flex-resize-lg-grow {
    flex-grow: 1;
  }

  .flex-resize-lg-shrink {
    flex-shrink: 1
  }
}


@for $i from 1 through 9 {
  .min-vh-#{$i}0 {
    min-height: #{$i}0vh !important;
  }

  .d-flex > .min-vh-#{$i}0 {
    flex-basis: #{$i}0vh !important;
    min-height: auto !important;
    flex-shrink: 0;
  }

  .min-vh-#{$i}5 {
    min-height: #{$i}5vh !important;
  }

  .d-flex > .min-vh-#{$i}5 {
    flex-basis: #{$i}5vh !important;
    min-height: auto !important;
    flex-shrink: 0;
  }
}

@for $i from 0 through 5 {
  .border-size-#{$i},
  .enforce-sm-size .border-size-#{$i} {
    border-width: map-get($spacers, $i);
  }

  .border-radius-#{$i},
  .enforce-sm-size .border-radius-#{$i} {
    border-radius: map-get($spacers, $i);
  }

  .enforce-md-size {
    .border-size-md-#{$i},
    .border-size-#{$i} {
      border-width: map-get($spacers, $i);
    }

    .border-radius-md-#{$i},
    .border-radius-#{$i} {
      border-radius: map-get($spacers, $i);
    }
  }

  @include media-breakpoint-up(md) {
    .border-size-md-#{$i} {
      border-width: map-get($spacers, $i);
    }

    .border-radius-md-#{$i} {
      border-radius: map-get($spacers, $i);
    }
  }

  .enforce-lg-size {
    .border-size-lg-#{$i},
    .border-size-md-#{$i},
    .border-size-#{$i} {
      border-width: map-get($spacers, $i);
    }

    .border-radius-lg-#{$i},
    .border-radius-md-#{$i},
    .border-radius-#{$i} {
      border-radius: map-get($spacers, $i);
    }
  }

  @include media-breakpoint-up(lg) {
    .border-size-lg-#{$i} {
      border-width: map-get($spacers, $i);
    }

    .border-radius-lg-#{$i} {
      border-radius: map-get($spacers, $i);
    }
  }
}

a.disabled {
  pointer-events: none;
  cursor: default;
}